Bug 209120 - nameif crashes due to buffer owerflow
nameif crashes due to buffer owerflow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 08:27 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 01:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2006-10-03 08:27:40 EDT
Description of problem:
if interface name is exactly 16 characters long, the nameif program crashes due
to buffer owerflow

Version-Release number of selected component (if applicable):
net-tools-1.60-62
net-tools-1.60-73

How reproducible:
always

Steps to Reproduce:
1.modprobe dummy
2. ifconfig -a to get MAC_ADDR of the dummy interface
3. echo "dummy01234567890 MAC_ADDR" >>/etc/mactab
4. nameif
  
Actual results:
buffer owerflow


Expected results:
interface name change or error that name is too long

Additional info:
nameif returns weird messages when name is too long...
Comment 1 Radek Vokal 2006-10-11 01:41:03 EDT
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.